import { StrictMode } from 'react'
import { createRoot } from 'react-dom/client'
import CommentList from './CommentList.jsx'
import CommentForm from './CommentForm.jsx'

function UcsComments(settings) {
    return (
        createRoot(document.getElementById(settings.element)).render(
            <StrictMode>
                <div className="ucs-comments">
                    <CommentList url={settings.ucs_url} site={settings.site} path={settings.path} />
                    <CommentForm url={settings.ucs_url} site={settings.site} path={settings.path} />
                </div>
            </StrictMode>,
        )
    )
};

const settings = () => {
    let element = document.getElementById('ucs-comments');
    return element.dataset;
};

UcsComments(settings());
